<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)
	die();

//echo "WIZARD_SITE_ID=".WIZARD_SITE_ID." | ";
//echo "WIZARD_SITE_PATH=".WIZARD_SITE_PATH." | ";
//echo "WIZARD_RELATIVE_PATH=".WIZARD_RELATIVE_PATH." | ";
//echo "WIZARD_ABSOLUTE_PATH=".WIZARD_ABSOLUTE_PATH." | ";
//echo "WIZARD_TEMPLATE_ID=".WIZARD_TEMPLATE_ID." | ";
//echo "WIZARD_TEMPLATE_RELATIVE_PATH=".WIZARD_TEMPLATE_RELATIVE_PATH." | ";
//echo "WIZARD_TEMPLATE_ABSOLUTE_PATH=".WIZARD_TEMPLATE_ABSOLUTE_PATH." | ";
//echo "WIZARD_THEME_ID=".WIZARD_THEME_ID." | ";
//echo "WIZARD_THEME_RELATIVE_PATH=".WIZARD_THEME_RELATIVE_PATH." | ";
//echo "WIZARD_THEME_ABSOLUTE_PATH=".WIZARD_THEME_ABSOLUTE_PATH." | ";
//echo "WIZARD_SERVICE_RELATIVE_PATH=".WIZARD_SERVICE_RELATIVE_PATH." | ";
//echo "WIZARD_SERVICE_ABSOLUTE_PATH=".WIZARD_SERVICE_ABSOLUTE_PATH." | ";
//echo "WIZARD_IS_RERUN=".WIZARD_IS_RERUN." | ";
//die();

if (!defined("WIZARD_TEMPLATE_ID"))
	return;

$bitrixTemplateDir = $_SERVER["DOCUMENT_ROOT"].BX_PERSONAL_ROOT."/templates/".WIZARD_TEMPLATE_ID;

//   
CopyDirFiles(
	$_SERVER["DOCUMENT_ROOT"].WizardServices::GetTemplatesPath(WIZARD_RELATIVE_PATH."/site")."/".WIZARD_TEMPLATE_ID,
	$bitrixTemplateDir,
	$rewrite = true,
	$recursive = true, 
	$delete_after_copy = false
);

//   
CopyDirFiles(
	WIZARD_ABSOLUTE_PATH."/site/components_templates",
	$_SERVER["DOCUMENT_ROOT"]."/bitrix/templates/".WIZARD_TEMPLATE_ID,
	$rewrite = true,
	$recursive = true,
	$delete_after_copy = false
);

//       
$obSite = CSite::GetList($by = "def", $order = "desc", Array("LID" => WIZARD_SITE_ID));
if ($arSite = $obSite->Fetch())
{
	$arTemplates = Array();
	$found = false;
	$foundEmpty = false;
	$obTemplate = CSite::GetTemplateList($arSite["LID"]);
	while($arTemplate = $obTemplate->Fetch())
	{
		if(!$found && strlen(trim($arTemplate["CONDITION"]))<=0)
		{
			$arTemplate["TEMPLATE"] = WIZARD_TEMPLATE_ID;
			$found = true;
		}
		if($arTemplate["TEMPLATE"] == "empty")
		{
			$foundEmpty = true;
			continue;
		}
		$arTemplates[]= $arTemplate;
	}

	if (!$found)
		$arTemplates[]= Array("CONDITION" => "", "SORT" => 150, "TEMPLATE" => WIZARD_TEMPLATE_ID);

	$arFields = Array(
		"TEMPLATE" => $arTemplates,
		"NAME" => $arSite["NAME"],
	);

	$obSite = new CSite();
	$obSite->Update($arSite["LID"], $arFields);
	
	$replaces = Array(
		"width" => $wizard->GetVar("width"),
		"skin" => $wizard->GetVar("skin"),
		"bodybg" => $wizard->GetVar("bodybg")
	);	
	foreach ($replaces as $replace_code => $replace_value)
		CWizardUtil::ReplaceMacros($bitrixTemplateDir."/wizard_template_options.php", Array($replace_code => $replace_value));
	
	$siteLogo = $wizard->GetVar("siteLogo", true);
	if ($siteLogo)
		$siteLogoPrint = CFile::ShowImage($siteLogo, 280, 60, "border=0 vspace=15");
	else
		$siteLogoPrint = "<span>".$wizard->GetVar("siteName")."</span>";
		
	//   
	$replaces = Array(
		"SITE_DIR" => WIZARD_SITE_DIR,
		"siteLogo" => $siteLogoPrint,
		"siteName" => $wizard->GetVar("siteName"),
		"siteSchedule" => $wizard->GetVar("siteSchedule"),
		"siteTelephone" => $wizard->GetVar("siteTelephone"),
		"siteCopy" => $wizard->GetVar("siteCopy"),
		"siteEmail" => $wizard->GetVar("siteEmail"),
		"siteMetaDescription" => $wizard->GetVar("siteMetaDescription"),
		"siteMetaKeywords" => $wizard->GetVar("siteMetaKeywords"),
		"siteOrg" => $wizard->GetVar("siteOrg"),
		"siteAddress" => $wizard->GetVar("siteAddress"),
		"siteFacebook" => ($wizard->GetVar("siteFacebook") ? '<li><a href="'.$wizard->GetVar("siteFacebook").'" data-placement="bottom" title="Facebook"><i class="icon-facebook icon-square"></i></a></li>' : ''),
		"siteTwitter" => ($wizard->GetVar("siteFacebook") ? '<li><a href="'.$wizard->GetVar("siteTwitter").'" data-placement="bottom" title="Twitter"><i class="icon-twitter icon-square"></i></a></li>' : ''),
		"siteSlogan" => $wizard->GetVar("siteSlogan")
	);
	
	$public_dirs_files = @scandir(WIZARD_ABSOLUTE_PATH."/site/public/".LANGUAGE_ID);
	if (!is_array($public_dirs_files))
		$public_dirs_files = Array();
	$public_files = Array();
	$public_dirs = Array();	
	foreach ($replaces as $replace_code => $replace_value)
		CWizardUtil::ReplaceMacros($bitrixTemplateDir."/header.php", Array($replace_code => $replace_value));
	foreach ($replaces as $replace_code => $replace_value)
		CWizardUtil::ReplaceMacros($bitrixTemplateDir."/footer.php", Array($replace_code => $replace_value));
	foreach ($public_dirs_files as $i => $file_dir)
	{
		if (is_file(WIZARD_ABSOLUTE_PATH."/site/public/".LANGUAGE_ID."/".$file_dir))
			$public_files[] = $file_dir;
		elseif (is_dir(WIZARD_ABSOLUTE_PATH."/site/public/".LANGUAGE_ID."/".$file_dir) && substr($file_dir,0,1) != ".")
			$public_dirs[] = $file_dir;
	}
	foreach ($public_files as $file)
	{
		foreach ($replaces as $replace_code => $replace_value)
			CWizardUtil::ReplaceMacros(WIZARD_SITE_PATH.$file, Array($replace_code => $replace_value));
	}
	foreach ($public_dirs as $dir)
	{
		foreach ($replaces as $replace_code => $replace_value)
			WizardServices::ReplaceMacrosRecursive(WIZARD_SITE_PATH.$dir."/", Array($replace_code => $replace_value));
	}		
}

$wizrdTemplateId = $wizard->GetVar("wizTemplateID");
if (!in_array($wizrdTemplateId, array("lodio_medical", "lodio_medical")))
	$wizrdTemplateId = "lodio_medical"; 
COption::SetOptionString("main", "wizard_template_id", $wizrdTemplateId, false, WIZARD_SITE_ID);
?>
