<?if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)die();
require_once($_SERVER['DOCUMENT_ROOT']."/bitrix/modules/main/install/wizard_sol/wizard.php");

class SelectSiteStep extends CSelectSiteWizardStep
{
	function InitStep()
	{
		parent::InitStep();

		$wizard =& $this->GetWizard();
		$wizard->solutionName = "lodio_medical";
	}	
}

//   

class SelectTemplateStep extends CSelectTemplateWizardStep
{
	function InitStep()
	{
		$this->SetStepID("select_template");
		$this->SetTitle(GetMessage("LODIO_MEDICAL_SELECT_TEMPLATE_TITLE"));
		$this->SetSubTitle(GetMessage("LODIO_MEDICAL_SELECT_TEMPLATE_SUBTITLE"));
		//$this->SetPrevStep("welcome_step");
		$this->SetNextStep("site_settings");
		$this->SetNextCaption(GetMessage("LODIO_MEDICAL_NEXT_BUTTON"));
	}

	function OnPostForm()
	{
		$wizard =& $this->GetWizard();
		
		if ($wizard->IsNextButtonClick())
		{
			$arTemplates = array("lodio_medical", "lodio_medical");

			$templateID = $wizard->GetVar("templateID");

			if (!in_array($templateID, $arTemplates))
				$this->SetError(GetMessage("LODIO_MEDICAL_wiz_template"));
		}
	}

	function ShowStep()
	{
		$wizard =& $this->GetWizard();
			
		$arTemplateOrder = array("lodio_medical");

		$defaultTemplateID = COption::GetOptionString("lodio.medical", "templateID", "lodio_medical");
		if (!in_array($defaultTemplateID, array("lodio_medical"))) 
			$defaultTemplateID = "lodio_medical";
		$wizard->SetDefaultVar("templateID", $defaultTemplateID);

		$arTemplateInfo = array(
			"lodio_medical" => array(
				"NAME" => GetMessage("LODIO_MEDICAL_WIZ_TEMPLATE_1"),
				"DESCRIPTION" => "",
				"PREVIEW" => $wizard->GetPath()."/site/templates/lodio_medical/lang/screen.gif",
				"SCREENSHOT" => $wizard->GetPath()."/site/templates/lodio_medical/lang/screen.gif",
			),
		);

		global $SHOWIMAGEFIRST;
		$SHOWIMAGEFIRST = true;

		$this->content .= '<div class="inst-template-list-block">';
		foreach ($arTemplateOrder as $templateID)
		{
			$arTemplate = $arTemplateInfo[$templateID];

			if (!$arTemplate)
				continue;

			$this->content .= '<div class="inst-template-description">';
			$this->content .= $this->ShowRadioField("templateID", $templateID, Array("id" => $templateID, "class" => "inst-template-list-inp"));

			global $SHOWIMAGEFIRST;
			$SHOWIMAGEFIRST = true;

			if ($arTemplate["SCREENSHOT"] && $arTemplate["PREVIEW"])
				$this->content .= CFile::Show2Images($arTemplate["PREVIEW"], $arTemplate["SCREENSHOT"], 218, 150, ' class="inst-template-list-img"');
			else
				$this->content .= CFile::ShowImage($arTemplate["SCREENSHOT"], 218, 150, ' class="inst-template-list-img"', "", true);

			$this->content .= '<label for="'.$templateID.'" class="inst-template-list-label">'.$arTemplate["NAME"]."</label>";
			$this->content .= "</div>";
		}

		$this->content .= "</div>";
		$this->content .= '<script>
			function ImgShw(ID, width, height, alt)
			{
				var scroll = "no";
				var top=0, left=0;
				if(width > screen.width-10 || height > screen.height-28) scroll = "yes";
				if(height < screen.height-28) top = Math.floor((screen.height - height)/2-14);
				if(width < screen.width-10) left = Math.floor((screen.width - width)/2-5);
				width = Math.min(width, screen.width-10);
				height = Math.min(height, screen.height-28);
				var wnd = window.open("","","scrollbars="+scroll+",resizable=yes,width="+width+",height="+height+",left="+left+",top="+top);
				wnd.document.write(
					"<html><head>"+
						"<"+"script type=\"text/javascript\">"+
						"function KeyPress()"+
						"{"+
						"	if(window.event.keyCode == 27) "+
						"		window.close();"+
						"}"+
						"</"+"script>"+
						"<title></title></head>"+
						"<body topmargin=\"0\" leftmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" onKeyPress=\"KeyPress()\">"+
						"<img src=\""+ID+"\" border=\"0\" alt=\""+alt+"\" />"+
						"</body></html>"
				);
				wnd.document.close();
			}
		</script>';
	}
}

//   
/*
class SelectThemeStep extends CSelectThemeWizardStep
{
	function InitStep()
	{
		$this->SetStepID("select_theme");
		$this->SetTitle(GetMessage("LODIO_MEDICAL_SELECT_THEME_TITLE"));
		$this->SetSubTitle(GetMessage("LODIO_MEDICAL_SELECT_THEME_SUBTITLE"));
		$this->SetPrevStep("select_template");
		$this->SetPrevCaption(GetMessage("LODIO_MEDICAL_PREV_BUTTON"));
		$this->SetNextStep("SiteSettingsStep");
		$this->SetNextCaption(GetMessage("LODIO_MEDICAL_NEXT_BUTTON"));
	}

	function OnPostForm()
	{
		$wizard =& $this->GetWizard();
        $wizardPath = $wizard->GetPath();
		$templateID = $wizard->GetVar("templateID");
        $wizardTemplatePath = $wizardPath."/site/templates/".$templateID;		
		
		@include_once($_SERVER["DOCUMENT_ROOT"].$wizardTemplatePath."/wizard_template_options.php");
		
		if ($wizard->IsNextButtonClick())
		{
			$skin = $wizard->GetVar("skin");
			$bodybg = $wizard->GetVar("bodybg");

			if (!array_key_exists($skin, $wizard_template_vars["skin"]) || !array_key_exists($bodybg, $wizard_template_vars["bodybg"]))
				$this->SetError(GetMessage("LODIO_MEDICAL_wiz_theme"));
		}		
	}
	
    function ShowStep()
    {
		$wizard =& $this->GetWizard();
        $wizardPath = $wizard->GetPath();
		$templateID = $wizard->GetVar("templateID");
        $wizardTemplatePath = $wizardPath."/site/templates/".$templateID;		
		
		@include_once($_SERVER["DOCUMENT_ROOT"].$wizardTemplatePath."/wizard_template_options.php");
		
		if (!is_array($iblocks))
			$iblocks = Array();
			
		if (!is_array($wizard_template_vars))
			$wizard_template_vars = Array("width" => Array(), "skin" => Array(), "bodybg" => Array());			
			
        $this->content .= '<table class="wizard-input-table">';
		
		$width = $wizard->GetVar("width");
		if (!$width)
			$width = COption::GetOptionString("lodio.medical", "width", key($wizard_template_vars["width"]));
		
		$this->content .= '<tr><td class="wizard-input-table-left">'.GetMessage("LODIO_MEDICAL_TEMPLATE_WIDTH").':</td><td class="wizard-input-table-right">';
        $this->content .= $this->ShowRadioField("width", "boxed", ($width == "boxed" ? Array("checked" => "checked") : Array())).GetMessage("LODIO_MEDICAL_WIZ_TEMPLATE_NARROW");
        $this->content .= $this->ShowRadioField("width", "wide", ($width == "wide" ? Array("checked" => "checked") : Array())).GetMessage("LODIO_MEDICAL_WIZ_TEMPLATE_WIDE");
        $this->content .= '</td></tr>';
        $this->content .= '<tr><td class="wizard-input-table-left">'.GetMessage("LODIO_MEDICAL_WIZ_TEMPLATE_SKIN").':</td><td class="wizard-input-table-right">';
        $skin = $wizard->GetVar("skin");
		if (!$skin)
			$skin = COption::GetOptionString("lodio.medical", "skin", key($wizard_template_vars["skin"]));	
		$this->content .= $this->ShowHiddenField("skin", $skin, Array("id" => "skinFieldId"));
        $this->content .= "</td></tr>";		
        $this->content .= "</table>";		
    }	
}
*/
//   

class SiteSettingsStep extends CSiteSettingsWizardStep
{

	function InitStep()
	{
		$this->SetStepID("site_settings");
		$this->SetTitle(GetMessage("LODIO_MEDICAL_SITE_SETTINGS_TITLE"));
		$this->SetSubTitle(GetMessage("LODIO_MEDICAL_SITE_SETTINGS_SUBTITLE"));
		//$this->SetPrevStep("select_theme");
		$this->SetNextStep("data_install");
		$this->SetNextCaption(GetMessage("LODIO_MEDICAL_NEXT_BUTTON"));
	
		$wizard =& $this->GetWizard();
		$wizard->solutionName = "lodio_medical";
		parent::InitStep();

		$this->SetNextCaption(GetMessage("LODIO_MEDICAL_NEXT_BUTTON"));
		$this->SetTitle(GetMessage("LODIO_MEDICAL_WIZ_STEP_SITE_SET"));

		$siteID = $wizard->GetVar("siteID");
		
		$templateID = $wizard->GetVar("templateID");
		
		$wizard->SetDefaultVars(Array("siteNameSet" => true));

		$wizard->SetDefaultVars(
			Array(
				"siteName" => COption::GetOptionString("lodio.medical", "siteName", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_NAME_DEF")),
				"siteSchedule" => COption::GetOptionString("lodio.medical", "siteSchedule", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_SCHEDULE_DEF")),
				"siteTelephone" => COption::GetOptionString("lodio.medical", "siteTelephone", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_TELEPHONE_DEF")),
				"siteCopy" => COption::GetOptionString("lodio.medical", "siteCopy", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_COPY_DEF")),
				"siteEmail" => COption::GetOptionString("lodio.medical", "siteEmail", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_EMAIL_DEF")),
				"siteMetaDescription" => COption::GetOptionString("lodio.medical", "siteMetaDescription", GetMessage("LODIO_MEDICAL_wiz_site_desc")),
				"siteMetaKeywords" => COption::GetOptionString("lodio.medical", "siteMetaKeywords", GetMessage("LODIO_MEDICAL_wiz_keywords")),
				"siteOrg" => COption::GetOptionString("lodio.medical", "siteOrg", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_ORGANIZATION_DEF")),
				"siteAddress" => COption::GetOptionString("lodio.medical", "siteAddress", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_ADDRESS_DEF")),
				"siteFacebook" => COption::GetOptionString("lodio.medical", "siteFacebook", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_FACEBOOK_DEF")),
				"siteTwitter" => COption::GetOptionString("lodio.medical", "siteTwitter", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_TWITTER_DEF")),
				"siteSlogan" => COption::GetOptionString("lodio.medical", "siteSlogan", GetMessage("LODIO_MEDICAL_WIZ_COMPANY_SLOGAN_DEF")),
				"siteInstallPublic" => COption::GetOptionString("lodio.medical", "siteInstallPublic", "Y"),
				"siteInstallDD" => COption::GetOptionString("lodio.medical", "siteInstallDD", "Y"),
			)
		);		
	}

	function ShowStep()
	{
		$wizard =& $this->GetWizard();

		$this->content .= '<div class="wizard-input-form">';
		/*
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteName" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_NAME").'</label>
			'.$this->ShowInputField('text', 'siteName', array("id" => "siteName", "class" => "wizard-field")).'
		</div>';
		
		$siteLogo = $wizard->GetVar("siteLogo", true);
	
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteLogo" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_LOGO").'</label>
			'.CFile::ShowImage($siteLogo, 280, 60, "border=0 vspace=15") . '<br>' . $this->ShowFileField("siteLogo", Array("show_file_info" => "N", "id" => "siteLogo")).'
		</div>';
		
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteSlogan" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_SLOGAN").'</label>
			'.$this->ShowInputField('text', 'siteSlogan', array("id" => "siteSlogan", "class" => "wizard-field")).'
		</div>';
		
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteTelephone" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_TELEPHONE").'</label>
			'.$this->ShowInputField('text', 'siteTelephone', array("id" => "siteTelephone", "class" => "wizard-field")).'
		</div>';
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteEmail" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_EMAIL").'</label>
			'.$this->ShowInputField('text', 'siteEmail', array("id" => "siteEmail", "class" => "wizard-field")).'
		</div>';	
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteSchedule" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_SCHEDULE").'</label>
			'.$this->ShowInputField('textarea', 'siteSchedule', array("rows"=>"3", "id" => "siteSchedule", "class" => "wizard-field")).'
		</div>';	
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteCopy" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_COPY").'</label>
			'.$this->ShowInputField('textarea', 'siteCopy', array("rows"=>"3", "id" => "siteCopy", "class" => "wizard-field")).'
		</div>';
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteOrg" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_ORGANIZATION").'</label>
			'.$this->ShowInputField('text', 'siteOrg', array("id" => "siteOrg", "class" => "wizard-field")).'
		</div>';
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteAddress" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_ADDRESS").'</label>
			'.$this->ShowInputField('text', 'siteAddress', array("id" => "siteAddress", "class" => "wizard-field")).'
		</div>';		
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteFacebook" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_FACEBOOK").'</label>
			'.$this->ShowInputField('text', 'siteFacebook', array("id" => "siteFacebook", "class" => "wizard-field")).'
		</div>';
		$this->content .= '
		<div class="wizard-input-form-block">
			<label for="siteTwitter" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_WIZ_COMPANY_TWITTER").'</label>
			'.$this->ShowInputField('text', 'siteTwitter', array("id" => "siteTwitter", "class" => "wizard-field")).'
		</div>';
	
	
		$this->content .= '
		<div id="bx_metadata">
			<div class="wizard-input-form-block">
				<div class="wizard-metadata-title">'.GetMessage("LODIO_MEDICAL_wiz_meta_data").'</div>
				<label for="siteMetaDescription" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_wiz_meta_description").'</label>
				'.$this->ShowInputField("textarea", "siteMetaDescription", Array("id" => "siteMetaDescription", "rows"=>"3", "class" => "wizard-field")).'
			</div>';
		$this->content .= '
			<div class="wizard-input-form-block">
				<label for="siteMetaKeywords" class="wizard-input-title">'.GetMessage("LODIO_MEDICAL_wiz_meta_keywords").'</label><br>
				'.$this->ShowInputField('text', 'siteMetaKeywords', array("id" => "siteMetaKeywords", "class" => "wizard-field")).'
			</div>
		</div>';
		*/
		
		$this->content .= '
		<div class="wizard-metadata-title">'.GetMessage("LODIO_MEDICAL_wiz_public_files").'</div>';
		
		$this->content .= '
		<div class="wizard-input-form-block">
			'.$this->ShowCheckboxField(
						"siteInstallPublic", 
						"Y", 
						($wizard->GetVar("siteInstallPublic") == "Y" ? 
							array("id" => "siteInstallPublic", "checked" => "checked") : array("id" => "siteInstallPublic")
						)
					).'
			<label for="siteInstallPublic">'.GetMessage("LODIO_MEDICAL_wiz_public_files_install").'</label>
		</div>';
		
		$this->content .= '
		<div class="wizard-metadata-title">'.GetMessage("LODIO_MEDICAL_wiz_demo_data").'</div>';
		
		$this->content .= '
		<div class="wizard-input-form-block">
			'.$this->ShowCheckboxField(
						"siteInstallDD", 
						"Y", 
						($wizard->GetVar("siteInstallDD") == "Y" ? 
							array("id" => "siteInstallDD", "checked" => "checked") : array("id" => "siteInstallDD")
						)
					).'
			<label for="siteInstallDD">'.GetMessage("LODIO_MEDICAL_wiz_demo_data_install").'</label>
		</div>';
		
		$this->content .= '</div>';
	}
	function OnPostForm()
	{
		$wizard =& $this->GetWizard();
		$res = $this->SaveFile("siteLogo", Array("extensions" => "gif,jpg,jpeg,png", "max_height" => 60, "max_width" => 280, "make_preview" => "Y"));
	}

}

//  
class DataInstallStep extends CDataInstallWizardStep
{
	
}

//  
class FinishStep extends CFinishWizardStep
{
	function InitStep()
	{
		$this->SetStepID("finish");
		$this->SetNextStep("finish");
		$this->SetTitle(GetMessage("LODIO_MEDICAL_FINISH_STEP_TITLE"));
		$this->SetNextCaption(GetMessage("LODIO_MEDICAL_wiz_go"));  
	}

	function ShowStep()
	{
		$wizard =& $this->GetWizard();		   
		if ($wizard->GetVar("proactive") == "Y")
			COption::SetOptionString("statistic", "DEFENCE_ON", "Y");
		
		$siteID = WizardServices::GetCurrentSiteID($wizard->GetVar("siteID"));
		$rsSites = CSite::GetByID($siteID);
		$siteDir = "/"; 
		if ($arSite = $rsSites->Fetch())
			$siteDir = $arSite["DIR"]; 

		$wizard->SetFormActionScript(str_replace("//", "/", $siteDir."/?finish"));

		$this->CreateNewIndex();
		
		COption::SetOptionString("main", "wizard_solution", $wizard->solutionName, false, $siteID);

		$this->content .=
			'<table class="wizard-completion-table">
				<tr>
					<td class="wizard-completion-cell">'
						.GetMessage("LODIO_MEDICAL_FINISH_STEP_CONTENT").
					'</td>
				</tr>
			</table>';
	//	$this->content .= "<br clear=\"all\"><a href=\"/bitrix/admin/wizard_install.php?lang=".LANGUAGE_ID."&site_id=".$siteID."&wizardName=bitrix:eshop.mobile&".bitrix_sessid_get()."\" class=\"button-next\"><span id=\"next-button-caption\">".GetMessage("LODIO_MEDICAL_wizard_store_mobile")."</span></a><br>";
		
		if ($wizard->GetVar("installDemoData") == "Y")
			$this->content .= GetMessage("LODIO_MEDICAL_FINISH_STEP_REINDEX");		
			
		
	}

}
?>